Get all fields

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get all fields endpoint can be used to search for fields. This endpoint is particularly useful for accessing comprehensive field data and details for further analysis or display within an application. The includeFields param can be used to customize the response.

You can fine-tune your searches and retrieve the field related data you need for integration into your applications or platforms by using filters.

Filters can be provided as query parameters and have a predefined structure: key is field.operator and value is value. For instance: objectType.eq=TASK.

You can use any combination of these parameters to execute searches based on your specifications. In addition to filters, sortBy and sortOrder can be used to sort the projects. The response body is paginated, and you can control the pagination using the limit and pageToken parameters.


In case, any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

includeFields
array of strings

This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.

string
enum

You can use the sortBy param to sort the responses by the given field.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields created date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields created date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields created date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields created date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields created date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields updated date.

string
enum

You can use this param to specify a object type for the fields and the responses will contain exact matches of fields that have the given object type.

Allowed:
string
enum

You can use this param to specify a field type for the fields and the responses will contain exact matches of fields that have the given field type.

boolean

You can use this parameter to specify whether responses will contains the enabled or disabled fields.

boolean

You can use this parameter to specify whether responses will contains the private or shared fields.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json